package com.qianhe.zqcz.xmgl.mapper;

import com.qianhe.zqcz.xmgl.domain.ZqczXmgl;
import com.qianhe.zqcz.xmgl.domain.ZqczXmglQuery;
import com.qianhe.zqcz.xmgl.domain.ZqczXmglVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZqczXmglMapper {
    /**
     * 条件查询
     */
    List<ZqczXmglVo> list(ZqczXmglQuery zqczXmglQuery);

    /**
     * 查询详情
     */
    ZqczXmglVo info(@Param("xmid") Long xmid);

    /**
     * 新增
     */
    int add(ZqczXmgl zqczXmgl);

    /**
     * 修改
     */
    int edit(ZqczXmgl zqczXmgl);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 批量新增
     */
    int batchAdd(@Param("dataList") List<ZqczXmgl> dataList);

    /**
     * 逻辑删除
     */
    int logicDelete(Long[] ids);
}
